> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List volumes

> Lists all the volumes from a team.



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /storage/volumes
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /storage/volumes:
    get:
      tags:
        - Storage
      summary: List volumes
      description: Lists all the volumes from a team.
      operationId: get-storage-volumes
      parameters:
        - name: filter[project]
          in: query
          required: false
          description: The project ID or Slug to filter by
          examples:
            Success:
              value: proj_WeGoqA5AqP7nz
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: vol_RLYV8DZ2D5QoE
                        type: volumes
                        attributes:
                          name: Incredible Paper Computer
                          size_in_gb: 1500
                          created_at: '2026-01-14T14:57:08.628Z'
                          namespace_id: '1'
                          connector_id: nqn.2001-07.com.ceph:1757602476548
                          initiators:
                            - nqn: >-
                                nqn.2014-08.org.nvmexpress:uuid:ae717767-c0fa-56f7-ab4b-5c426b0c553f
                          project:
                            id: proj_WeGoqA5AqP7nz
                            name: Gorgeous Concrete Clock
                            slug: gorgeous-concrete-clock
                            description: Small Wooden Shirt
                            billing_type: Normal
                            billing_method: Normal
                            bandwidth_alert: false
                            environment: null
                            billing:
                              subscription_id: null
                              type: Normal
                              method: Normal
                            stats:
                              databases: 0
                              ip_addresses: 0
                              prefixes: 0
                              servers: 0
                              storages: 1
                              virtual_machines: 0
                              vlans: 0
                          team:
                            id: team_nYRYZR4lwzSJpMxzmrnKSe8P79E
                            name: 614 Team
                            slug: 614-team
                            description: 614 Team
                            address: >-
                              Suite 444 21815 Angel Falls, North Jarvis, LA
                              68902
                            status: verified
                            currency:
                              id: cur_AW6Q2D9lqKLpr
                              code: BRL
                              name: Brazilian Real
                              currency_id: null
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/volume_data'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.storage.get_storage_volumes(filter_project="proj_WeGoqA5AqP7nz")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Storage.GetStorageVolumes(ctx, latitudeshgosdk.Pointer(\"proj_WeGoqA5AqP7nz\"))\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.storage.getStorageVolumes({
                filterProject: "proj_WeGoqA5AqP7nz",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    volume_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - volumes
        attributes:
          type: object
          properties:
            name:
              type: string
            size_in_gb:
              type: integer
            created_at:
              type: string
              format: date-time
              nullable: true
            namespace_id:
              type: string
              nullable: true
            connector_id:
              type: string
              nullable: true
            initiators:
              type: array
              items:
                type: object
                properties:
                  nqn:
                    type: string
              nullable: true
            project:
              $ref: '#/components/schemas/project_include'
            team:
              $ref: '#/components/schemas/team_include'
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
    team_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        address:
          type: string
        currency:
          type: object
        status:
          type: string
        feature_flags:
          type: array
          items:
            type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````